﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Diagrams.Core;

namespace Diagram_WPF_CustomPolylineTool
{
    public partial class MainWindow : Window
    {
        ToolService service;

        public MainWindow()
        {
            InitializeComponent();
            service = diagram.ServiceLocator.GetService<IToolService>() as ToolService;
            service.ToolList.Add(new PolylineShapeTool("MyPolylineShapeTool"));
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            service.ActivateTool("Pointer Tool");
        }

        private void RadButton_Click_1(object sender, RoutedEventArgs e)
        {
            service.ActivateTool("MyPolylineShapeTool");
        }
    }
}